You are not logged in.

#76 2014-04-02 10:31:28

Zell_89
Member
From: Italy
Registered: 2010-03-27
Posts: 11
Website

Re: KDE Frameworks 5 packages

ant32, I cannot install the workspace from git repo, oxygen icons package is missing:
errore: impossibile scaricare il pacchetto 'kf5-oxygen-icons-4.12.80-1-any.pkg.tar.xz' da dl.dropboxusercontent.com : The requested URL returned error: 404 NOT FOUND
please, fix it. Thank you for your work.

Offline

#77 2014-04-02 16:55:38

pepedopolous
Member
Registered: 2012-02-12
Posts: 54

Re: KDE Frameworks 5 packages

Hi,

I cant start plasma2 either from a tty or kdm. I'm using the git packages. Can anyone confirm if it is working for them or not?

Many thanks,

P

Offline

#78 2014-04-02 17:49:59

ant32
Member
Registered: 2013-03-23
Posts: 24

Re: KDE Frameworks 5 packages

I've added some missing packages and am recompiling. Try again in an hour.

edit: There seem to be some packages with missing dependencies. I'll confirm them in a while.

Last edited by ant32 (2014-04-02 18:57:04)

Offline

#79 2014-04-02 19:57:30

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,174

Re: KDE Frameworks 5 packages

pepedopolous wrote:

I cant start plasma2 either from a tty or kdm. I'm using the git packages. Can anyone confirm if it is working for them or not?

For me it gets stuck the first time with a clean configuration, but after killing X it works every subsequent try (from KDM)

Offline

#80 2014-04-02 21:36:47

ant32
Member
Registered: 2013-03-23
Posts: 24

Re: KDE Frameworks 5 packages

Could someone try the repo now and confirm that it works. I'll not be able to test it until later. All git packages build successfully. http://ant32.linuxd.org/

Offline

#81 2014-04-03 00:27:22

tahahawa
Member
Registered: 2013-06-17
Posts: 4

Re: KDE Frameworks 5 packages

ant32 wrote:

Could someone try the repo now and confirm that it works. I'll not be able to test it until later. All git packages build successfully. http://ant32.linuxd.org/

I tried, it starts, and I'm not sure if it's my fault, but window management (kwin) seems to be not working properly (if at all).

EDIT: It was just me. I tried again, kwin works. But autostarting applications error, KDE side. Generally, glitchy, crashy. But looks nice.

Last edited by tahahawa (2014-04-03 01:41:23)

Offline

#82 2014-04-07 04:22:49

ant32
Member
Registered: 2013-03-23
Posts: 24

Re: KDE Frameworks 5 packages

As far as I know both the kf5 and the kf5-git repo work currently. They are of course glitchy and buggy which is to be expected with alpha/heavily developing code.
The files on ant32.linuxd.org are not all as updated as on dropbox. I'll try fix that tomorrow. smile
http://ant32.linuxd.org

Offline

#83 2014-04-07 18:39:26

franz1789
Member
Registered: 2008-04-22
Posts: 56

Re: KDE Frameworks 5 packages

Wasn't there a session file? I stil cannot access to kf5 from KDM..

Offline

#84 2014-04-07 20:27:01

ant32
Member
Registered: 2013-03-23
Posts: 24

Re: KDE Frameworks 5 packages

As far as I know there isn't a session file for the stable kf5, it's only for the git as far as I know.

Offline

#85 2014-04-08 10:19:24

franz1789
Member
Registered: 2008-04-22
Posts: 56

Re: KDE Frameworks 5 packages

ant32 wrote:

As far as I know there isn't a session file for the stable kf5, it's only for the git as far as I know.

I'm sorry for asking you, but couldn't you add the session file in ant32-kf5-git repo?

Offline

#86 2014-04-08 16:25:20

jaxxed
Member
Registered: 2012-04-21
Posts: 8

Re: KDE Frameworks 5 packages

ant32 wrote:

Could someone try the repo now and confirm that it works. I'll not be able to test it until later. All git packages build successfully. http://ant32.linuxd.org/

the ant32 repo works fine for me (kf5 - amd64).

I also compiled the entire kf5-meta-git branch from the AUR  (I did it with paktahn  $/> pak -Ss kf5-meta-git    <-- the cower method is better, but the gist was down last time I checked)

Offline

#87 2014-04-08 16:58:19

jaxxed
Member
Registered: 2012-04-21
Posts: 8

Re: KDE Frameworks 5 packages

Can we please clarify how to start plasma sessions now?

I've tried running the suggested scripts with the latest source without success.  I've also tried running the scripts xsessions.

Offline

#88 2014-04-08 17:03:54

jaxxed
Member
Registered: 2012-04-21
Posts: 8

Re: KDE Frameworks 5 packages

pepedopolous wrote:

I cant start plasma2 either from a tty or kdm. I'm using the git packages. Can anyone confirm if it is working for them or not?

I cannot.

Offline

#89 2014-04-08 17:17:08

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,174

Re: KDE Frameworks 5 packages

jaxxed wrote:

Can we please clarify how to start plasma sessions now?

If you use the -git packages, you should already have a "Plasma Desktop (KF5)" session in your DM menu. If you use the alpha packages, you have to copy the session files yourself. Grab the 10-kf5 and kf5-plasma.desktop files from plasma-workspace-git, and copy them to /usr/share/xsessions (or to /usr/share/apps/kdm/sessions/ if you use KDM) and to /etc/X11/xinit/xinitrc.d/ respectively.

Offline

#90 2014-04-09 11:23:26

AnAkkk
Member
Registered: 2014-03-03
Posts: 145

Re: KDE Frameworks 5 packages

Does anyone know how will the removal of KDM be handled with official packages once KF5 is released ?

Offline

#91 2014-04-09 11:35:25

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: KDE Frameworks 5 packages

AnAkkk wrote:

Does anyone know how will the removal of KDM be handled with official packages once KF5 is released ?

There's no more a DM made by KDE, instead you can choose whatever you want. sddm or lightdm are recommended though.

Offline

#92 2014-04-09 11:41:12

AnAkkk
Member
Registered: 2014-03-03
Posts: 145

Re: KDE Frameworks 5 packages

ilpianista wrote:
AnAkkk wrote:

Does anyone know how will the removal of KDM be handled with official packages once KF5 is released ?

There's no more a DM made by KDE, instead you can choose whatever you want. sddm or lightdm are recommended though.

I know, this is why I was asking this question. I guess LightDM is pretty much the only choice. I've tried SDDM, it seemed quite buggy and it looks like it doesn't have any active developers.

Offline

#93 2014-04-09 11:57:43

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: KDE Frameworks 5 packages

AnAkkk wrote:

I know, this is why I was asking this question. I guess LightDM is pretty much the only choice. I've tried SDDM, it seemed quite buggy and it looks like it doesn't have any active developers.

I guess the reason is political here (I could be wrong!) lightdm is made by Canonical, while SDDM is licensed under GPL. It's true SDDM development has stopped, but I guess it has the basic features a DM need and maybe KDE guys are intested only on that ATM.
Anyway, I heard KDE Visual Design team is working on a new theme for the DM, so let's find out on which DM are they working.

Offline

#94 2014-04-10 06:31:29

jaxxed
Member
Registered: 2012-04-21
Posts: 8

Re: KDE Frameworks 5 packages

jaxxed wrote:

Can we please clarify how to start plasma sessions now?

I've tried running the suggested scripts with the latest source without success.  I've also tried running the scripts xsessions.

to answer my own question (with the help of reddit) the kde-workspace packages have been split away from the kf5 (frameworks) packages, and need to be installed as well.  the workspace packages now come with kdm xsession files, so kdm will show a boot option the new workspace options.

Offline

#95 2014-04-10 11:13:58

jaxxed
Member
Registered: 2012-04-21
Posts: 8

Re: KDE Frameworks 5 packages

arojas wrote:
scarpino wrote:

Try:

$ export XDG_DATA_DIRS="/opt/kf5/share:$XDG_DATA_DIRS"

Yep, that works. I added it to the AUR package.

kde-cli-tools-git might need the same fix?

Offline

#96 2014-04-13 13:50:19

danyf90
Member
Registered: 2013-10-02
Posts: 7

Re: KDE Frameworks 5 packages

First of all I have a question: can current kde4 installation and this "kde5" coexist on my system?

Then I have this problem: I'm not able to install kde-workspace-git

[daniele@archlinux ~]$ sudo pacman -S kde-workspace-git
resolving dependencies...
looking for inter-conflicts...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: kdelibs4support-git and kde4support-git are in conflict

Offline

#97 2014-04-13 14:07:05

AnAkkk
Member
Registered: 2014-03-03
Posts: 145

Re: KDE Frameworks 5 packages

danyf90 wrote:

First of all I have a question: can current kde4 installation and this "kde5" coexist on my system?

Then I have this problem: I'm not able to install kde-workspace-git

[daniele@archlinux ~]$ sudo pacman -S kde-workspace-git
resolving dependencies...
looking for inter-conflicts...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: kdelibs4support-git and kde4support-git are in conflict

Yes.

sudo pacman -Rdd kde4support-git

Last edited by AnAkkk (2014-04-13 19:59:45)

Offline

#98 2014-04-13 15:50:55

danyf90
Member
Registered: 2013-10-02
Posts: 7

Re: KDE Frameworks 5 packages

Yes.

sudo pacman -Rbb kde4support-git

error: failed to initialize alpm library (could not find or read directory)

Offline

#99 2014-04-13 19:45:54

Xabre
Member
From: Serbia
Registered: 2009-03-19
Posts: 589

Re: KDE Frameworks 5 packages

That was supposed to be -Rdd I believe.

Offline

#100 2014-04-13 19:59:57

AnAkkk
Member
Registered: 2014-03-03
Posts: 145

Re: KDE Frameworks 5 packages

Xabre wrote:

That was supposed to be -Rdd I believe.


Indeed. Oops.

Offline

Board footer

Powered by FluxBB